# $Id: python-kye.spec 5152 2007-02-12 14:55:33Z dries $
# Authority: dries
# Upstream: Colin Phipps

%define python_sitearch %(%{__python} -c 'from distutils import sysconfig; print sysconfig.get_python_lib(1)')
%define python_sitelib %(%{__python} -c 'from distutils import sysconfig; print sysconfig.get_python_lib()')

%define real_name kye

Summary: Puzzle game
Name: python-kye
Version: 1.0
Release: %mkrel 6
License: GPLv2+
Group: Games/Puzzles
URL: http://games.moria.org.uk/kye/pygtk

Source: http://games.moria.org.uk/kye/download/kye-%{version}.tar.gz
BuildArch: noarch

BuildRequires: python
BuildRequires: python-devel
Requires: python
Requires: pygtk2.0

%description
Kye is a puzzle game which takes ideas from Sokoban and the genre of
falling-rocks puzzle games. However, it includes a wider range of
objects, allowing a larger variety of puzzles to be constructed. It
is a clone of the original, shareware, Kye for Windows, and is
compatible with the large number of existing extra levels designed
for the Windows version of Kye.

%prep
%setup -n %{real_name}-%{version} -q

%build
CFLAGS="%{optflags}" %{__python} setup.py build

%install
%{__python} setup.py install -O1 --skip-build --root="%{buildroot}" --prefix="%{_prefix}"

%files
%defattr(-, root, root, 0755)
%doc COPYING README
%{_bindir}/Kye
%{_bindir}/Kye-edit
%{python_sitelib}/kye/
%{python_sitelib}/kye-*.egg-info
%{_datadir}/kye/



%changelog
* Mon Feb 08 2016 umeabot <umeabot> 1.0-6.mga6
+ Revision: 943079
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.0-5.mga5
+ Revision: 747440
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.0-4.mga5
+ Revision: 728947
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.0-3.mga5
+ Revision: 688118
- Mageia 5 Mass Rebuild

  + pterjan <pterjan>
    - Rebuild for new Python

* Fri Apr 25 2014 shlomif <shlomif> 1.0-1.mga5
+ Revision: 617795
- Importing python-kye based on the dries repository


* Mon Feb 12 2007 Dries Verachtert  - 0.9.3-1
- Updated to release 0.9.3.

* Mon Nov 13 2006 Dries Verachtert  - 0.9.2-1
- Updated to release 0.9.2.

* Fri May 19 2006 Dries Verachtert  - 0.9-1
- Updated to release 0.9.

* Sat Apr 22 2006 Dries Verachtert  - 0.8-1
- Updated to release 0.8.

* Fri Apr 07 2006 Dries Verachtert  - 0.7-1
- Updated to release 0.7.

* Sun Mar 26 2006 Dries Verachtert  - 0.6-1
- Updated to release 0.6.

* Mon Jan 09 2006 Dries Verachtert  - 0.5.0-1
- Updated to release 0.5.0.

* Fri Dec 23 2005 Dries Verachtert  - 0.4.0-1
- Initial package.
